"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractQueueService = void 0;
const node_util_1 = require("node:util");
const node_core_1 = require("@lokalise/node-core");
class AbstractQueueService {
    queueName;
    errorReporter;
    messageSchema;
    logger;
    messageTypeField;
    queueConfiguration;
    queueLocator;
    constructor({ errorReporter, logger }, { messageSchema, messageTypeField, queueName, queueConfiguration, queueLocator }) {
        this.errorReporter = errorReporter;
        this.logger = logger;
        this.queueName = queueName;
        this.messageSchema = messageSchema;
        this.messageTypeField = messageTypeField;
        this.queueConfiguration = queueConfiguration;
        this.queueLocator = queueLocator;
    }
    handleError(err) {
        const logObject = (0, node_core_1.resolveGlobalErrorLogObject)(err);
        this.logger.error(logObject);
        if (node_util_1.types.isNativeError(err)) {
            this.errorReporter.report({ error: err });
        }
    }
}
exports.AbstractQueueService = AbstractQueueService;
//# sourceMappingURL=AbstractQueueService.js.map